Computers

Create Computer

Create computer

post
/v1/computer/create

Authorization

ChatBotKit API Secret * Required

HTTP Authorization Scheme: bearer

Request Body * Required

Request Body Schema: application/json

aliasstring

The unique alias for the instance

namestring

The associated name

descriptionstring

The associated description

metaobject

Meta data information

blueprintIdstring

The ID of the blueprint

contactIdstring

The contact associated with the computer

kindstring

The kind of computer, a headless shell or a desktop with a remote view

import { ChatBotKit } from '@chatbotkit/sdk'

const cbk = new ChatBotKit({

token: process.env.CHATBOTKIT_API_TOKEN!

})

const response = await cbk.computer.create(

{
"alias":"string",
"name":"string",
"description":"string",
"meta":"object",
"blueprintId":"string",
"contactId":"string",
"kind":"string"
}
)
{
"id":"string"
}
The computer was created successfully